Get KYC status
curl --request GET \
--url https://api.example.com/api/v1/user/kyc/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/user/kyc/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/user/kyc/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"provider": "swipelux",
"email": "<string>",
"kycStatus": "not_started",
"externalUserId": "<string>",
"status": "not_started",
"firstName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"kycLink": "<string>",
"kycUrl": "<string>",
"contactSupportLink": "https://app.gethevn.com/chat"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}User
Get KYC status
Check the current KYC verification status. Use provider=align for Align.
GET
/
api
/
v1
/
user
/
kyc
/
status
Get KYC status
curl --request GET \
--url https://api.example.com/api/v1/user/kyc/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/user/kyc/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/user/kyc/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"provider": "swipelux",
"email": "<string>",
"kycStatus": "not_started",
"externalUserId": "<string>",
"status": "not_started",
"firstName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"kycLink": "<string>",
"kycUrl": "<string>",
"contactSupportLink": "https://app.gethevn.com/chat"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Supported fiat payment providers.
Available options:
swipelux, align, dakota, mcp, wirex, conduit_fiat, conduit_crypto, due Response
Successful Response
Response schema for KYC status check.
Supported fiat payment providers.
Available options:
swipelux, align, dakota, mcp, wirex, conduit_fiat, conduit_crypto, due KYC verification status.
Available options:
not_started, requested, incorporating, pending, under_review, approved, rejected KYC verification status.
Available options:
not_started, requested, incorporating, pending, under_review, approved, rejected Was this page helpful?